library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

entity SimpleComb is
    port ( sw  : in  STD_LOGIC_VECTOR (1 downto 0);
           led : out STD_LOGIC_VECTOR (3 downto 0));
end;

architecture Behavioral of SimpleComb is

begin

    process (sw) -- kombinatorischer Prozess, der auf die Eingnge sw reagiert
    begin
        led (0) <= sw(0);
        led (1) <= sw(1);
        led (2) <= sw(0) or  sw(1);
        led (3) <= sw(0) and sw(1);
    end process;

end;
